# This file is responsible for configuring your application
# and its dependencies with the aid of the Config module.
#
# This configuration file is loaded before any dependency and
# is restricted to this project.

# General application configuration
import Config

config :derivantes,
  ecto_repos: [Derivantes.Repo],
  generators: [timestamp_type: :utc_datetime]

# Configures the endpoint
config :derivantes, DerivantesWeb.Endpoint,
  url: [host: "localhost"],
  adapter: Phoenix.Endpoint.Cowboy2Adapter,
  render_errors: [
    formats: [html: DerivantesWeb.ErrorHTML, json: DerivantesWeb.ErrorJSON],
    layout: false
  ],
  pubsub_server: Derivantes.PubSub,
  live_view: [signing_salt: "cYL7udpP"]

# Configures the mailer
#
# By default it uses the "Local" adapter which stores the emails
# locally. You can see the emails in your browser, at "/dev/mailbox".
#
# For production it's recommended to configure a different adapter
# at the `config/runtime.exs`.

config :derivantes, Derivantes.Mailer,

   adapter: Swoosh.Adapters.SMTP,                                                                                                                                    
   relay: "mail.rmitacriocuarto.com.ar",                                                                                                                                   
   username: "informedigital@rmitacriocuarto.com.ar",                                                                                                                                 
   password: "Infotomo2020+",                                                                                                                                 
   auth: :always,                                                                                                                                                    
   ssl: true,                                                                                                                                                        
   port: 465,                                                                                                                                                        
   retries: 10,                                                                                                                                                      
   sockopts: [                                                                                                                                                       
     versions: [:"tlsv1.2", :"tlsv1.3"],                                                                                                                             
     verify: :verify_peer,                                                                                                                                           
     cacerts: :public_key.cacerts_get(),
     depth: 3,                                                                                                                                                       
     customize_hostname_check: [                                                                                                                                     
       match_fun: :public_key.pkix_verify_hostname_match_fun(:https)                                                                                                 
     ],                                                                                                                                                              
     server_name_indication: 'mail.rmitacriocuarto.com.ar'                                                                                                           
   ]                                                                                                                                                                 
         
# Configure esbuild (the version is required)
config :esbuild,
  version: "0.17.11",
  default: [
    args:
      ~w(js/app.js --bundle --target=es2017 --outdir=../priv/static/assets --external:/fonts/* --external:/images/*),
    cd: Path.expand("../assets", __DIR__),
    env: %{"NODE_PATH" => Path.expand("../deps", __DIR__)}
  ]

# Configure tailwind (the version is required)
config :tailwind,
  version: "3.3.2",
  default: [
    args: ~w(
      --config=tailwind.config.js
      --input=css/app.css
      --output=../priv/static/assets/app.css
    ),
    cd: Path.expand("../assets", __DIR__)
  ]

# Configures Elixir's Logger
config :logger, :console,
  format: "$time $metadata[$level] $message\n",
  metadata: [:request_id]

# Use Jason for JSON parsing in Phoenix
config :phoenix, :json_library, Jason

# Import environment specific config. This must remain at the bottom
# of this file so it overrides the configuration defined above.
import_config "#{config_env()}.exs"
